## libxml-parser-ruby 0.6.1

=== Makefile ===
SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = /home/yoshidam/ruby-1.6.1
topdir = /usr/local/lib/ruby/1.6/i686-linux
hdrdir = /usr/local/lib/ruby/1.6/i686-linux

CC = gcc

CFLAGS   = -fPIC -g -O2 -I/home/yoshidam/work/Ruby/ext/xmlparser/expat/xmlparse -I/home/yoshidam/work/Ruby/ext/xmlparser/expat/xmltok -DXML_ENC_PATH=\"/usr/local/lib/XML/Parser/Encodings\" -DNEW_EXPAT -DXML_DTD -DEXPAT_1_2
CPPFLAGS = -I$(hdrdir) -I/usr/local/include -DHAVE_XMLPARSE_H -DHAVE_XML_SETNOTSTANDALONEHANDLER -DHAVE_XML_SETPARAMENTITYPARSING -DHAVE_XML_SETEXTERNALPARSEDENTITYDECLHANDLER -DHAVE_XML_SETDOCTYPEDECLHANDLER 
CXXFLAGS = $(CFLAGS)
DLDFLAGS =  -L/home/yoshidam/work/Ruby/ext/xmlparser/expat/xmlparse
LDSHARED = gcc -shared 

RUBY_INSTALL_NAME = ruby
RUBY_SO_NAME = 

DESTDIR =
prefix = $(DESTDIR)/usr/local
exec_prefix = $(DESTDIR)/usr/local
libdir = $(DESTDIR)/usr/local/lib/ruby/1.6
archdir = $(DESTDIR)/usr/local/lib/ruby/1.6/i686-linux
sitelibdir = $(DESTDIR)/usr/local/lib/ruby/site_ruby/1.6
sitearchdir = $(DESTDIR)/usr/local/lib/ruby/site_ruby/1.6/i686-linux

#### End of system configuration section. ####

LOCAL_LIBS =  
LIBS = -lexpat -lc
OBJS = xmlparser.o

TARGET = xmlparser
DLLIB = $(TARGET).so

RUBY = ruby
RM = $(RUBY) -r ftools -e 'File::rm_f(*Dir[ARGV.join(" ")])'

EXEEXT = 

all:		$(DLLIB)

clean:;		@$(RM) *.o *.so *.sl *.a $(DLLIB)
		@$(RM) $(TARGET).lib $(TARGET).exp $(TARGET).ilk *.pdb

distclean:	clean
		@$(RM) Makefile extconf.h conftest.*
		@$(RM) core ruby$(EXEEXT) *~

realclean:	distclean

install:	$(archdir)/$(DLLIB)

site-install:	$(sitearchdir)/$(DLLIB)

$(archdir)/$(DLLIB): $(DLLIB)
	@$(RUBY) -r ftools -e 'File::makedirs(*ARGV)' $(libdir) $(archdir)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0555, true)' $(DLLIB) $(archdir)/$(DLLIB)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/saxdriver.rb $(libdir)/saxdriver.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/sax.rb $(libdir)/sax.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmlparser.rb $(libdir)/xmlparser.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/wget.rb $(libdir)/wget.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmlencoding-ja.rb $(libdir)/xmlencoding-ja.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmldigest.rb $(libdir)/xmldigest.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltreebuilder-ja.rb $(libdir)/xmltreebuilder-ja.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltreevisitor.rb $(libdir)/xmltreevisitor.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltree.rb $(libdir)/xmltree.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltreebuilder.rb $(libdir)/xmltreebuilder.rb

$(sitearchdir)/$(DLLIB): $(DLLIB)
	@$(RUBY) -r ftools -e 'File::makedirs(*ARGV)' $(libdir) $(sitearchdir)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0555, true)' $(DLLIB) $(sitearchdir)/$(DLLIB)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/saxdriver.rb $(sitelibdir)/saxdriver.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/sax.rb $(sitelibdir)/sax.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmlparser.rb $(sitelibdir)/xmlparser.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/wget.rb $(sitelibdir)/wget.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmlencoding-ja.rb $(sitelibdir)/xmlencoding-ja.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmldigest.rb $(sitelibdir)/xmldigest.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltreebuilder-ja.rb $(sitelibdir)/xmltreebuilder-ja.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltreevisitor.rb $(sitelibdir)/xmltreevisitor.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltree.rb $(sitelibdir)/xmltree.rb
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' lib/xmltreebuilder.rb $(sitelibdir)/xmltreebuilder.rb


.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<
$(DLLIB): $(OBJS)
	$(LDSHARED) $(DLDFLAGS) -o $(DLLIB) $(OBJS) $(LIBS) $(LOCAL_LIBS)

## libxml-parser-ruby 0.7.1

=== debian/changelog ===
libxml-parser-ruby (0.7.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches
    - add "add-digest.rb" to work it with ruby1.9.1 (Closes: #593082)  

 -- Hideki Yamane <henrich@debian.org>  Fri, 24 Dec 2010 22:59:07 +0900

libxml-parser-ruby (0.7.1-1) unstable; urgency=low

  * New upstream release
  * Bumped Standard version to 3.8.4
  * debian/control
      + added myself to uploaders
      + ported to ruby1.9.1
      + debhelper to >=7
      + added dummy package
      + added ${misc:Depends}
  * debian/copyright
      + added author(s) information 
  * Switch to dpkg-source 3.0 (quilt) format
      + added debian/source
  
  [ Gunnar Wolf ]
  * Changed section to Ruby as per ftp-masters' request

 -- Deepak Tripathi <apenguinlinux@gmail.com>  Sat, 12 Jun 2010 02:17:59 +0530

libxml-parser-ruby (0.6.8-4) unstable; urgency=low

  [ Vincent Fourmond ]
  * Added watchfile

  [ Filipe Lautert ]
  * Applied Barry deFreese patch to allow package to stick to pkg-
    ruby-extra standards and moving libuconv-ruby1.8 from suggests
    to depends field (closes: #454953, #396019).
  * Moved Debian Ruby Extras Maintainers to uploaders field and set
    myself as maintainer (closes: #472433).
  * Created patch to add return missing return statement in file
    lib/xml/saxdriver.rb:171 (closes: #421250).
  * Added diff to escape all > symbol in command strings to allow 
    compatibility with broken XML parsers (closes: #403164).

 -- Filipe Lautert <filipe@icewall.org>  Fri, 27 Jun 2008 21:13:54 -0300

libxml-parser-ruby (0.6.8-3) unstable; urgency=low

  * New maintainer.
  * Added Vcs-*.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 08 Dec 2007 13:50:06 +0100

libxml-parser-ruby (0.6.8-2) unstable; urgency=low

  * dropped ruby1.6 support.  (closes: #367909, #368512)

 -- akira yamada <akira@debian.org>  Tue, 23 May 2006 14:31:16 +0900

libxml-parser-ruby (0.6.8-1) unstable; urgency=low

  * new upstream version.

 -- akira yamada <akira@debian.org>  Sat, 14 Aug 2004 19:31:23 +0900

libxml-parser-ruby (0.6.1-4) unstable; urgency=low

  * new sub-package libxml-parser-ruby1.6.
      - renamed from libxml-parser-ruby.
  * new sub-package libxml-parser-ruby1.8.

 -- akira yamada <akira@debian.org>  Wed, 10 Sep 2003 15:47:14 +0900

libxml-parser-ruby (0.6.1-3) unstable; urgency=low

  * rebuild with libexpat1 1.95.2-2.1.
    because version numbering of libexpat.so was changed.
    closes: #117470

 -- akira yamada <akira@debian.org>  Mon, 29 Oct 2001 10:53:52 +0900

libxml-parser-ruby (0.6.1-2) unstable; urgency=low

  * --with-perl-enc-map=/usr/lib/perl5/XML/Parser/Encodings

 -- akira yamada <akira@debian.org>  Sat, 23 Jun 2001 19:13:59 +0900

libxml-parser-ruby (0.6.1-1) unstable; urgency=low

  * Upgraded to new upstream version.
  * Build with expat 1.95.
  * Build depends: libexpat1-dev.

 -- akira yamada <akira@debian.org>  Fri, 02 Feb 2001 23:36:50 +0900

libxml-parser-ruby (0.5.19-2) unstable; urgency=low

  * rebuild with ruby_1.6.2-5.

 -- akira yamada <akira@debian.org>  Thu, 25 Jan 2001 23:28:12 +0900

libxml-parser-ruby (0.5.19-1) unstable; urgency=low

  * Upgraded to new upstream version.
  * Build with ruby_1.6.0.
  * Updated Standards-Version to 3.2.1.
  * Added Build-Depends field into control file.

 -- akira yamada <akira@debian.org>  Tue,  5 Sep 2000 01:30:33 +0900

libxml-parser-ruby (0.5.16-2) unstable; urgency=low

  * Rebuild with ruby_1.4.4

 -- akira yamada <akira@debian.org>  Tue,  4 Apr 2000 21:20:17 +0900

libxml-parser-ruby (0.5.16-1) unstable; urgency=low

  * Upgraded to new upstream version.
  * FHS complience.

 -- akira yamada <akira@debian.org>  Fri, 29 Oct 1999 15:01:48 +0900

libxml-parser-ruby (0.5.14-2) unstable; urgency=low

  * Build with ruby 1.4.

 -- akira yamada <akira@debian.org>  Wed, 18 Aug 1999 10:25:54 +0900

libxml-parser-ruby (0.5.14-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Tue,  6 Jul 1999 22:16:37 +0900

ruby-xmlparser-module (0.5.6-1) unstable; urgency=low

  * Upgraded to new upstream version.
      - class name aliasses are defined in C module.

 -- akira yamada <akira@debian.org>  Thu, 25 Feb 1999 17:02:58 +0900

ruby-xmlparser-module (0.5.4-2) unstable-jp; urgency=low

  * Build with ruby1.2_1.2.2.

 -- akira yamada <akira@debian.org>  Mon,  1 Feb 1999 14:58:21 +0900

ruby-xmlparser-module (0.5.4-1) unstable-jp; urgency=low

  * Upgraded to new upstream version.
  * Build with ruby_1.2.2.

 -- akira yamada <akira@debian.org>  Fri, 22 Jan 1999 18:19:15 +0900

ruby-xmlparser-module (0.4.17-1) unstable-jp; urgency=low

  * Upgraded to new upstream version.
      - mIDs are stored into static vars.
      - change ID attribute support of XPointer.
      - Node#trim is now xml:space-aware.
      - fix some bugs, add class name alias.

 -- akira yamada <akira@debian.org>  Sat, 31 Oct 1998 09:23:51 +0900

ruby-xmlparser-module (0.4.14-1) unstable-jp; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Tue, 27 Oct 1998 12:22:33 +0900

ruby-xmlparser-module (0.4.7-1) unstable-jp; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Sat,  3 Oct 1998 00:09:44 +0900

ruby-xmlparser-module (0.3.3-1) unstable-jp; urgency=low

  * Initial Release.

 -- akira yamada <akira@debian.org>  Sat, 22 Aug 1998 13:43:46 +0900

=== debian/control ===
Source: libxml-parser-ruby
Section: ruby
Priority: optional
Maintainer: Filipe Lautert <filipe@debian.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>, Deepak Tripathi <apenguinlinux@gmail.com>
Build-Depends: debhelper (>> 7), cdbs, ruby-pkg-tools, libexpat1-dev (>= 1.95.1), ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev
Standards-Version: 3.8.4
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-ruby-extras/trunk/libxml-parser-ruby/
Vcs-Svn: svn://svn.debian.org/svn/pkg-ruby-extras/trunk/libxml-parser-ruby/
Homepage: http://www.yoshidam.net/Ruby.html

Package: libxml-parser-ruby1.8
Architecture: any
Depends: ${shlibs:Depends}, libuconv-ruby1.8, ${misc:Depends}
Description: Interface of expat for the scripting language Ruby 1.8
 This is the module to access to James Clark's XML Parser Toolkit "expat" 
 <URL:http://www.jclark.com/xml/expat.html> from Ruby 1.8.

Package: libxml-parser-ruby1.9.1
Architecture: any
Depends: ${shlibs:Depends}, libuconv-ruby1.9.1, ${misc:Depends}
Description: Interface of expat for the scripting language Ruby 1.9.1
 This is the module to access to James Clark's XML Parser Toolkit "expat" 
 <URL:http://www.jclark.com/xml/expat.html> from Ruby 1.9.1.

Package: libxml-parser-ruby
Architecture: any
Depends: libxml-parser-ruby1.8, ${misc:Depends}
Description: Interface of expat for the scripting language Ruby 1.8
 This is the module to access to James Clark's XML Parser Toolkit "expat" 
 <URL:http://www.jclark.com/xml/expat.html> from Ruby 1.8.
 .
 This is dummy package for libxml-parser-ruby1.8
 This package provide documentation and depends on the package 
 containing the actual library for the default Ruby version.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/ruby-pkg-tools/1/class/ruby-common.mk
include /usr/share/ruby-pkg-tools/1/class/ruby-extconf-rb.mk

DEB_RUBY_SETUP_ARGS = --with-perl-enc-map=/usr/lib/perl5/XML/Parser/Encodings
